## osmo-hlr 0.0.1.20170821

=== debian/changelog ===
osmo-hlr (0.0.1.20170821) UNRELEASED; urgency=low

     * Initial release (Closes: OS#1948)
  * Snapshot build

 -- Max Suraev <msuraev@sysmocom.de>  Mon, 21 Aug 2017 04:45:07 +0200
