## osmo-hlr 0.0.1.20170825

=== debian/changelog ===
osmo-hlr (0.0.1.20170825) UNRELEASED; urgency=low

     * Initial release (Closes: OS#1948)
  * Snapshot build

 -- Max Suraev <msuraev@sysmocom.de>  Fri, 25 Aug 2017 21:49:01 +0200
