## osmo-hlr 0.0.1.20170826

=== debian/changelog ===
osmo-hlr (0.0.1.20170826) UNRELEASED; urgency=low

     * Initial release (Closes: OS#1948)
  * Snapshot build

 -- Max Suraev <msuraev@sysmocom.de>  Sat, 26 Aug 2017 04:45:17 +0200
