## osmo-hlr 0.1.0

=== debian/changelog ===
osmo-hlr (0.1.0-3) unstable; urgency=medium

  * debian/rules: deactivate tests for BE for now

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Apr 2018 19:07:49 +0200

osmo-hlr (0.1.0-2) unstable; urgency=medium

  * move to unstable
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/control: move package to debian-mobcom

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Apr 2018 19:05:39 +0200

osmo-hlr (0.1.0-1) experimental; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Dec 2017 19:05:39 +0100
