=== debian/control ===
Source: osmo-hlr
Section: net
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11),
               pkg-config,
               python-minimal,
               libosmocore-dev (>= 0.10.1),
               libosmo-abis-dev (>= 0.4.0),
               libosmo-netif-dev (>= 0.1.1),
               libsqlite3-dev,
               sqlite3
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-hlr
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-hlr.git
Homepage: https://projects.osmocom.org/projects/osmo-hlr

Package: osmo-hlr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdbd-sqlite3
Description: Osmocom Home Location Register
 OsmoHLR is a Osmocom implementation of HLR (Home Location Registrar)
 which works over GSUP protocol. The subscribers are store in sqlite DB.
 It supports both 2G and 3G authentication.
