## osmo-hlr 0.2.1

=== debian/changelog ===
osmo-hlr (0.2.1-3) unstable; urgency=medium

  * debian/control:
    - Add my name to uploaders
  * debian/rules:
    - Disable tests on the architectures mips64el, mipsel and alpha.

 -- Ruben Undheim <rubund@debian.org>  Fri, 09 Nov 2018 22:19:28 +0100

osmo-hlr (0.2.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 06 Nov 2018 07:54:48 +0100

osmo-hlr (0.2.1-2~exp1) experimental; urgency=medium

  * Team upload
  * debian/gbp.conf: to enforce pristine-tar
  * Added default configuration file to /etc/osmocom/osmo-hlr.cfg
  * debian/control: New standards version 4.2.1 - no changes
  * debian/osmo-hlr.dirs:
    - Create dir expected to be present when starting osmo-hlr at first
  * debian/rules:
    - Do not start systemd service by default
    - Properly clean up in override_dh_clean
  * debian/tests:
    - Add simple autopkgtest checking that it is possible to run "osmo-hlr -h"

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 15:43:13 +0200

osmo-hlr (0.2.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: adjust minimal version of dependencies

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 18 May 2018 11:06:52 +0200
