=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: net
 Priority: optional
 Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
-Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>,
+           Ruben Undheim <rubund@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-config,
                python-minimal,
-               libosmocore-dev (>= 0.10.1),
-               libosmo-abis-dev (>= 0.4.0),
-               libosmo-netif-dev (>= 0.1.1),
+               libosmocore-dev (>= 0.11.0),
+               libosmo-abis-dev (>= 0.5.0),
+               libosmo-netif-dev (>= 0.2.0),
                libsqlite3-dev,
                sqlite3
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-hlr
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-hlr.git
 Homepage: https://projects.osmocom.org/projects/osmo-hlr
