=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,21 @@
 	   [ "${arch}" = "powerpc" ] || \
 	   [ "${arch}" = "ppc64" ] || \
 	   [ "${arch}" = "sparc64" ] || \
+	   [ "${arch}" = "mips64el" ] || \
+	   [ "${arch}" = "mipsel" ] || \
+	   [ "${arch}" = "alpha" ] || \
 	   [ "${arch}" = "mips" ] ; then \
 	   echo "Do not care of test result on this architecture" ;\
 	else \
 	   echo "Do make tests on this architecture" ;\
 	   dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false) \
 	fi
+
+override_dh_clean:
+	dh_clean
+	$(RM) .version tests/auc/auc_ts_55_205_test_sets.c
+	$(RM) tests/package.m4
+	$(RM) tests/testsuite
+
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start
