## osmo-hlr 1.2.0.20.74e7

=== debian/changelog ===
osmo-hlr (1.2.0.20.74e7) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Sun, 09 Feb 2020 01:30:28 +0000
