=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 Package: osmo-hlr
 Architecture: any
-Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}, libdbd-sqlite3
+Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}, libdbd-sqlite3
 Description: Osmocom Home Location Register
  OsmoHLR is a Osmocom implementation of HLR (Home Location Registrar) which works over GSUP
  protocol. The subscribers are store in sqlite DB. It supports both 2G and 3G authentication.
@@ -30,7 +30,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-latest, osmo-hlr (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly, osmo-hlr (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-hlr
  Make debugging possible
 
@@ -38,7 +38,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Depends: osmocom-nightly, ${shlibs:Depends},
 	 ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmocom GSUP (General Subscriber Update Protocol) client library
@@ -49,7 +49,7 @@
 Package: libosmo-gsup-client-dev
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${misc:Depends},
+Depends: osmocom-nightly, ${misc:Depends},
 	 libosmo-gsup-client0 (= ${binary:Version}),
 	 libosmocore-dev
 Description: Development headers of Osmocom GSUP client library
@@ -59,11 +59,33 @@
   .
   This package contains the development headers.
 
+Package: libosmo-mslookup0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-nightly, ${shlibs:Depends},
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: Osmocom MS lookup library
+  This shared library contains routines for looking up mobile subscribers.
+
+Package: libosmo-mslookup-dev
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-nightly, ${misc:Depends},
+	 libosmo-mslookup0 (= ${binary:Version}),
+	 libosmocore-dev
+Pre-Depends: ${misc:Pre-Depends}
+Description: Development headers of Osmocom MS lookup library
+  This shared library contains routines for looking up mobile subscribers.
+  .
+  This package contains the development headers.
+
 Package: osmo-hlr-doc
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-latest, ${misc:Depends}
+Depends: osmocom-nightly, ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.
