## osmo-hlr 1.2.0.21.15ad

=== debian/changelog ===
osmo-hlr (1.2.0.21.15ad) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 11 Feb 2020 01:30:23 +0000
