## osmo-hlr 1.2.0.23.5424

=== debian/changelog ===
osmo-hlr (1.2.0.23.5424) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Mon, 17 Feb 2020 01:30:32 +0000
