## osmo-hlr 1.2.1%2Bdfsg1

=== debian/changelog ===
osmo-hlr (1.2.1+dfsg1-1build2) jammy; urgency=medium

  * Rebuild against new libosmocore16.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Mar 2022 02:57:06 +0100

osmo-hlr (1.2.1+dfsg1-1build1) jammy; urgency=medium

  * No-change rebuild against libosmocore18

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2022 00:06:50 +0000

osmo-hlr (1.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * add 0001-debian-rules-Remove-example-Makefile.patch (Closes: #977561)
    Thanks to Vagrant Cascadian for the patch and making the package
    build reproducible.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Jan 2021 19:21:23 +0000

osmo-hlr (1.2.0+dfsg1-2) unstable; urgency=medium

  * upload to unstable
  * mark test as superficial (Closes: #971487)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Dec 2020 18:15:42 +0100

osmo-hlr (1.2.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12
  * debian/control: depend on libosmocore >=1.4.0
  * debian/control: depend on libosmo-abis >= 1.0.1
  * debian/control: depend on libosmo-netif >= 1.0.0
  * debian/control: take care of soname change
  * add Build-Depends-Package: to symbols files
  * remove patches that are applied upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Aug 2020 23:15:42 +0000

osmo-hlr (0.2.1-5) unstable; urgency=medium

  * debian/control:
    - Remove python-minimal dependency (Closes: #937221)
  * 0004-Remove-auc-test-since-it-depends-on-Python2.patch:
    - Remove the auc test which depends on Python2.
    - This also resolves the test suite on s390x (Closes: #918674)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 21 Mar 2020 21:14:05 +0100

osmo-hlr (0.2.1-4) unstable; urgency=low

  * Re-enable tests on all architectures
  * Patch for test suite on some archs:
    - 0003-Fix-test-for-return-codes-on-mipsel-and-alpha-archs.patch

 -- Ruben Undheim <rubund@debian.org>  Fri, 16 Nov 2018 08:38:18 +0100
