## osmo-hlr 1.2.1+dfsg1

=== debian/control ===
Source: osmo-hlr
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Ruben Undheim <rubund@debian.org>
Build-Depends: debhelper-compat (= 12),
               pkg-config,
               libosmocore-dev (>= 1.4.0),
               libosmo-abis-dev (>= 1.0.1),
               libosmo-netif-dev (>= 1.0.0),
               libsqlite3-dev,
               sqlite3
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-hlr
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-hlr.git
Homepage: https://projects.osmocom.org/projects/osmo-hlr

Package: osmo-hlr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdbd-sqlite3
Description: Osmocom Home Location Register
 OsmoHLR is a Osmocom implementation of HLR (Home Location Registrar)
 which works over GSUP protocol. The subscribers are store in sqlite DB.
 It supports both 2G and 3G authentication.

Package: libosmo-gsup-client0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Osmocom GSUP (General Subscriber Update Protocol) client library
 This is a shared library that can be used to implement client programs for
 the GSUP protocol.  The typical GSUP server is OsmoHLR, with OsmoMSC, OsmoSGSN
 and External USSD Entities (EUSEs) using this library to implement clients.

Package: libosmo-gsup-client-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
	 libosmo-gsup-client0 (= ${binary:Version}),
	 libosmocore-dev
Description: Development headers of Osmocom GSUP client library
 This is a shared library that can be used to implement client programs for
 the GSUP protocol.  The typical GSUP server is OsmoHLR, with OsmoMSC, OsmoSGSN
 and External USSD Entities (EUSEs) using this library to implement clients.
 .
 This package contains the development headers.
