=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --with autoreconf

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

# Print test results in case of a failure
override_dh_auto_test:
	echo ${arch}
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)

override_dh_clean:
	dh_clean
	$(RM) .version tests/auc/auc_ts_55_205_test_sets.c
	$(RM) tests/package.m4
	$(RM) tests/testsuite

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_installexamples:
	dh_installexamples
	rm -f debian/osmo-hlr/usr/share/doc/osmo-hlr/examples/Makefile
