## osmo-hlr 1.3.1

=== debian/changelog ===
osmo-hlr (1.3.1) unstable; urgency=medium

  * debian/control: remove dh-systemd build-depend

 -- Oliver Smith <osmith@sysmocom.de>  Mon, 06 Sep 2021 15:48:52 +0200
