=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper (>= 9),
                pkg-config,
                dh-autoreconf,
-               dh-systemd (>= 1.5),
                autotools-dev,
                python3-minimal,
                libosmocore-dev (>= 1.5.0),
