## osmo-hlr 1.4.0+dfsg1

=== debian/changelog ===
osmo-hlr (1.4.0+dfsg1-3ubuntu1) kinetic; urgency=medium

  * Fix build failure with installed systemd (See e.g. Debian bug: #1010578)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 May 2022 10:36:12 +0200

osmo-hlr (1.4.0+dfsg1-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 16 Mar 2022 20:53:42 +0100

osmo-hlr (1.4.0+dfsg1-2) experimental; urgency=medium

  * debian/control: use correct Section: and Architecture for
                    all packages

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Mar 2022 02:53:42 +0100

osmo-hlr (1.4.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use at least libosmocore 1.5.0
  * debian/control: use at least libosmo-abis 1.1.0
  * debian/control: use at least libosmo-netif 1.1.0
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Mar 2022 03:53:42 +0000
