=== debian/control ===
Source: osmo-hlr
Section: net
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Ruben Undheim <rubund@debian.org>
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               python3-minimal,
               libosmocore-dev (>= 1.5.0),
               libosmo-abis-dev (>= 1.1.0),
               libosmo-netif-dev (>= 1.1.0),
               libsqlite3-dev,
               sqlite3
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-hlr
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-hlr.git
Homepage: https://projects.osmocom.org/projects/osmo-hlr

Package: osmo-hlr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdbd-sqlite3
Description: Osmocom Home Location Register
 OsmoHLR is a Osmocom implementation of HLR (Home Location Registrar)
 which works over GSUP protocol. The subscribers are store in sqlite DB.
 It supports both 2G and 3G authentication.

Package: libosmo-gsup-client0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Osmocom GSUP (General Subscriber Update Protocol) client library
 This is a shared library that can be used to implement client programs for
 the GSUP protocol.  The typical GSUP server is OsmoHLR, with OsmoMSC, OsmoSGSN
 and External USSD Entities (EUSEs) using this library to implement clients.

Package: libosmo-gsup-client-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
	 libosmo-gsup-client0 (= ${binary:Version}),
	 libosmocore-dev
Description: Development headers of Osmocom GSUP client library
 This is a shared library that can be used to implement client programs for
 the GSUP protocol.  The typical GSUP server is OsmoHLR, with OsmoMSC, OsmoSGSN
 and External USSD Entities (EUSEs) using this library to implement clients.
 .
 This package contains the development headers.

Package: libosmo-mslookup0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Osmocom MS lookup library
 This shared library contains routines for looking up mobile subscribers.
 .
 This package contains the library.

Package: libosmo-mslookup-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
	 libosmo-mslookup0 (= ${binary:Version}),
	 libosmocore-dev
Pre-Depends: ${misc:Pre-Depends}
Description: Development headers of Osmocom MS lookup library
 The shared library libosmo-mslookup contains routines for looking up
 mobile subscribers.
 .
 This package contains the development headers.

Package: osmo-mslookup-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
	 libosmo-mslookup0 (= ${binary:Version}),
         ${misc:Depends}
Description: Utilities for Osmocom MS lookup
 The shared library libosmo-mslookup contains routines for looking up
 mobile subscribers.
 .
 This package contains a simple MS lookup client utility.
