=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 	echo ${arch}
 	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)
 
+override_dh_auto_configure:
+	dh_auto_configure -- --with-systemdsystemunitdir=no
+
 override_dh_clean:
 	dh_clean
 	$(RM) .version tests/auc/auc_ts_55_205_test_sets.c
