## osmo-hlr 1.5.0%2Bdfsg1

=== debian/changelog ===
osmo-hlr (1.5.0+dfsg1-3) unstable; urgency=medium

  * debian/rules: configure with --with-systemdsystemunitdir=no
                  thanks to Dan Bungert and Gianfranco Costamagna
                  for the suggestion (Closes: #1021763)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 15 Oct 2022 12:42:29 +0200

osmo-hlr (1.5.0+dfsg1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 13 Oct 2022 20:53:42 +0200

osmo-hlr (1.5.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: use at least libosmocore 1.7.0
  * debian/control: use at least libosmo-abis 1.3.0
  * debian/control: use at least libosmo-netif 1.2.0

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Oct 2022 17:48:12 +0200
