## osmo-hlr 1.5.0+dfsg1

=== debian/changelog ===
osmo-hlr (1.5.0+dfsg1-4) unstable; urgency=medium

  * due to dependencies (libosmo-netif) package no longer builds on
    32bit architectures, so we don't need this t64 versions any longer
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 20 Apr 2024 12:42:29 +0200
